#include <iostream>

using namespace std;

int main()
{
    int T, ucenici[9], bananice[9], grupe[9], odgovor[9];
    int i, j, brojac=0, zamena, brojugrupi, brojbananicaPoGrupi,ostatak , MinBananicaPoGrupi=0;
    cin>>T;
    for(i=0;i<=T-1;i++)
    {
        cin>>ucenici[i];
        cin>>bananice[i];
        cin>>grupe[i];
    }
    for(i=0;i<=T-1;i++)
    {
        zamena=ucenici[i];
        if(ucenici[i]%grupe[i]==0 && ucenici[i]>=grupe[i])
        {
            brojugrupi=zamena/grupe[i];
            brojbananicaPoGrupi=bananice[i]/grupe[i];
            for(j=1;j<=brojugrupi;j++)
            {
                MinBananicaPoGrupi=MinBananicaPoGrupi+j;
            }
            if(bananice[i]>=MinBananicaPoGrupi*grupe[i])
                odgovor[i]=1;
            else 
            {
                odgovor[i]=0;
            }
        }
        else if(ucenici[i]%grupe[i]!=0)
        {
            ostatak=ucenici[i]%grupe[i];
            zamena=zamena-ostatak;
            brojugrupi=zamena/grupe[i];
            brojbananicaPoGrupi=bananice[i]/grupe[i];
            for(j=1;j<=brojugrupi;j++)
            {
                MinBananicaPoGrupi=MinBananicaPoGrupi+j;
            }
            if(bananice[i]>=MinBananicaPoGrupi*grupe[i]+ostatak*(brojugrupi+1))
                odgovor[i]=1;
            else
                odgovor[i]=0;
        }
    }
    for(i=0;i<=T-1;i++)
    {
        if(odgovor[i]==1)
            cout<<"Tak\n";
        else
            cout<<"Nie\n";
    }
    return 0;
}